<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M"
        crossorigin="anonymous">
    <title>Bootstrap Sandbox</title>
</head>

<body>
    <header>
        <h1 class="display-3 text-center my-4">Alerts & Progress Bars</h1>
        <div class="container">
            <div class="row">
                <div class="col-md-3">
                    <div class="dropdown">
                        <button class="btn btn-primary btn-block dropdown-toggle" type="button" data-toggle="dropdown">
                            2: Utilities
                        </button>
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="2_2_basic_typography.html">2.2 Basic Typography</a>
                            <a class="dropdown-item" href="2_3_text_alignment_display.html">2.3 Text Alignment & Display</a>
                            <a class="dropdown-item" href="2_4_floats_position.html">2.4 Floats & Position</a>
                            <a class="dropdown-item" href="2_5_colors_background.html">2.5: Colors & Background</a>
                            <a class="dropdown-item" href="2_6_spacing.html">2.6 Spacing</a>
                            <a class="dropdown-item" href="2_7_sizing.html">2.7 Sizing</a>
                            <a class="dropdown-item" href="2_8_breakpoints.html">2.8 Breakpoints</a>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="dropdown">
                        <button class="btn btn-success btn-block dropdown-toggle" type="button" data-toggle="dropdown">
                            3: CSS Components
                        </button>
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="3_2_buttons.html">3.2 Buttons</a>
                            <a class="dropdown-item" href="3_3_navbar.html">3.3 Navbar</a>
                            <a class="dropdown-item" href="3_4_list_groups_badges.html">3.4 List Groups & Badges</a>
                            <a class="dropdown-item" href="3_5_forms.html">3.5 Forms</a>
                            <a class="dropdown-item" href="3_6_input_groups.html">3.6 Input Groups</a>
                            <a class="dropdown-item" href="3_7_alerts_progress.html">3.7 Alerts & Progress</a>
                            <a class="dropdown-item" href="3_8_tables_pagination.html">3.8 Tables & Pagination</a>
                            <a class="dropdown-item" href="3_9_cards.html">3.9 Cards</a>
                            <a class="dropdown-item" href="3_10_media_object.html">3.10 Media Objects</a>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="dropdown">
                        <button class="btn btn-warning btn-block dropdown-toggle" type="button" data-toggle="dropdown">
                            4: Grid & Flexbox
                        </button>
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="4_2_grid_system.html">4.2 Grid System</a>
                            <a class="dropdown-item" href="4_3_grid_alignment.html">4.3 Grid Alignment</a>
                            <a class="dropdown-item" href="4_4_flexbox.html">4.4 Flexbox</a>
                            <a class="dropdown-item" href="4_5_auto_margins_wrapping_order.html">4.5 Auto Margins & Wrap</a>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="dropdown">
                        <button class="btn btn-danger btn-block dropdown-toggle" type="button" data-toggle="dropdown">
                            5: JavaScript Widgets
                        </button>
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="5_2_carousel.html">5.2 Carousel</a>
                            <a class="dropdown-item" href="5_3_collapse.html">5.3 Collapse</a>
                            <a class="dropdown-item" href="5_4_tooltips.html">5.4 Tooltips</a>
                            <a class="dropdown-item" href="5_5_popovers.html">5.5 Popovers</a>
                            <a class="dropdown-item" href="5_6_modals.html">5.6 Modals</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <hr>
    </header>

    <div class="container">
        <!--########################START HERE#########################-->

        <!-- ALERTS -->
        <div class="alert alert-primary">
            <strong>Primary</strong> Blog post added
        </div>

        <div class="alert alert-secondary">
            <strong>Secondary</strong> Blog post added
        </div>

        <div class="alert alert-success">
            <strong>Success</strong> Blog post added
        </div>

        <div class="alert alert-danger">
            <strong>Danger</strong> Please check the log files
        </div>

        <div class="alert alert-info">
            <strong>Info</strong> You have a new message
        </div>

        <div class="alert alert-warning">
            <strong>Warning</strong> Please check the log files
        </div>

        <div class="alert alert-light">
            <strong>Light</strong> Please check the log files
        </div>

        <div class="alert alert-dark">
            <strong>Dark</strong> Please check the log files
        </div>


        <!-- DISMISSABLE ALERT -->
        <div class="alert alert-success alert-dismissible fade show">
            <button class="close" data-dismiss="alert" type="button">
                <span>&times;</span>
            </button>
            <strong>Dismissable</strong> Blog post added
        </div>

        <br>
        <br>

        <!-- PROGRESS BARS -->
        <div class="progress">
            <div class="progress-bar" style="width: 25%"></div>
        </div>
        <br>
        <div class="progress">
            <div class="progress-bar bg-dark" style="width: 35%">35</div>
        </div>
        <br>
        <div class="progress">
            <div class="progress-bar bg-danger" style="width: 45%"></div>
        </div>
        <br>
        <div class="progress">
            <div class="progress-bar bg-info" style="width: 55%"></div>
        </div>
        <br>
        <div class="progress">
            <div class="progress-bar progress-bar-striped bg-success" style="width: 65%"></div>
        </div>
        <br>
        <div class="progress">
            <div class="progress-bar progress-bar-striped progress-bar-animated bg-warning" style="width: 75%"></div>
        </div>
        <br>
        <div>
            <div></div>
        </div>

    </div>
    <!-- ./container -->
    <div style="margin-top:500px;"></div>

    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js" integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/js/bootstrap.min.js" integrity="sha384-h0AbiXch4ZDo7tp9hKZ4TsHbi047NrKGLO3SEJAg45jXxnGIfYzk4Si90RDIqNm1"
        crossorigin="anonymous"></script>
</body>

</html>